package bookRecommend;
/**
 * This class represents a book in the system.
 *
 */
public interface IBook {

	/**
	 * Returns the Author name
	 * 
	 * @return the Author name
	 */
	public String getAuthor();

	/**
	 * Returns the title of the book
	 * 
	 * @return the title of the book
	 */
	public String getTitle();

	/**
	 * Return the ID of the book in our system. Each book has a unique and final ID number
	 * 
	 * @return the ID of the book in our system. Each book has a unique and final ID number
	 */
	public int getID();

	/**
	 * Returns the string representation of the book in the following format "<author>,<title>"
	 * 
	 * @return the string representation of the book
	 */
	public String toString();

}